Qt Reference Documentation

# QSqlDriverCreator Class Reference

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type. More...

     #include <QSqlDriverCreator>

Inherits: QSqlDriverCreatorBase.

- List of all members, including inherited members

## Reimplemented Public Functions

virtual QSqlDriver * | createObject () const

- 1 public function inherited from QSqlDriverCreatorBase

## Detailed Description

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type.

QSqlDriverCreator<T> instantiates objects of type T, where T is a QSqlDriver subclass.

See QSqlDatabase::registerSqlDriver() for details.

## Member Function Documentation

### QSqlDriver * QSqlDriverCreator::createObject () const`[virtual]`

Reimplemented from QSqlDriverCreatorBase::createObject().